Sync Templates for an App

This is an app level API used to sync the templates on Gupshup platform

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rate Limit

1 request per hour


Request Parameters

KeyDescriptionConstraints
PARTNER_APP_TOKENPartner app access token issued post partner loginShould be a valid Partner app access token belonging to the passed app ID

Path Parameters

KeyDescriptionConstraints
appIdApp ID for the appValid app ID

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/:appId/template/sync' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

202 Accepted


Status Codes

Status CodeResponseComments
Success
202Successfully accepted sync request
Error
400{
"status": "error",
"message/data": "Specific to API"
}
Error with respect to the API
401{
"status": "error",
"message": "Unauthorized Access"
}
When authentication fails
429{
"status": "error",
"message": "Too Many Requests"
}
When the rate limit is hit
500{
"status": "error",
"message": "Internal Server Error"
}
For any Internal Error
Path Params
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses
202

Accepted

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json